Get testimony for case
curl --request GET \
--url https://api-stage.karmacheck.io/testimony/case/{caseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/testimony/case/{caseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/testimony/case/{caseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"testimony": {
"address": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"city": "San Clemente",
"state": "CA",
"country": "US",
"address": "2 Main Street",
"address2": "Unit 3",
"postalCode": "92670",
"current": true
}
],
"driversLicense": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"state": "CA",
"licenseNumber": "D1234567"
}
],
"parentalConsent": [],
"education": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"institution": "San Diego University",
"city": "San Diego",
"state": "CA",
"country": "US",
"educationType": "College/University",
"current": true,
"degree": "B.S.",
"major": "Biology",
"monthBegin": "September",
"yearBegin": "2006",
"monthEnd": "May",
"yearEnd": "2010"
}
],
"employment": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"employer": "Example Employer",
"city": "San Clemente",
"state": "CA",
"country": "US",
"current": true,
"okToContact": true,
"position": "Nurse",
"monthBegin": "August",
"yearBegin": "2010"
}
],
"customProfessionalLicense": []
}
}This response has no body data.Candidate Onboarding
Get testimony for case
Retrieves the testimony attached to a case.
GET
/
testimony
/
case
/
{caseId}
Get testimony for case
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The identifier of the case.
Response
OK
Each testimony type has a key in this object whose value is an array of the related testimony. If no testimony is available for a particular testimony type, the array will be empty.
Show child attributes
Show child attributes
⌘I